gstreamermm: Gst::MapInfo Class Reference

gstreamermm 1.10.0

Public Member Functions | List of all members
Gst::MapInfo Class Reference

`#include <gstreamermm/mapinfo.h>`

## Public Member Functions
| MapInfo ()
| MapInfo (const GstMapInfo& castitem)
| MapInfo (MapInfo&& other)
MapInfo& | operator= (MapInfo&& other)
MapFlags | get_flags () const
| Get flags used when mapping the memory. More...
guint8* | get_data ()
| Get a pointer to the mapped data. More...
const guint8* | get_data () const
gsize | get_maxsize () const
| Get the maximum bytes in data. More...
gsize | get_size () const
| Get the valid size in data. More...
Glib::RefPtr< Gst::Memory > | get_memory ()
| Get a Glib::RefPtr to the mapped memory. More...
Glib::RefPtr< const Gst::Memory > | get_memory () const
GstMapInfo* | gobj ()
const GstMapInfo* | gobj () const

## Constructor & Destructor Documentation

## ◆ MapInfo() [1/3]

Gst::MapInfo::MapInfo | ( |  | ) |

## ◆ MapInfo() [2/3]

Gst::MapInfo::MapInfo | ( | const GstMapInfo & | castitem | ) |
| explicit

## ◆ MapInfo() [3/3]

Gst::MapInfo::MapInfo | ( | MapInfo&& | other | ) |

## Member Function Documentation

## ◆ get_data() [1/2]

guint8* Gst::MapInfo::get_data | ( |  | ) |

Get a pointer to the mapped data.

## ◆ get_data() [2/2]

const guint8* Gst::MapInfo::get_data | ( |  | ) | const

## ◆ get_flags()

MapFlags Gst::MapInfo::get_flags | ( |  | ) | const

Get flags used when mapping the memory.

## ◆ get_maxsize()

gsize Gst::MapInfo::get_maxsize | ( |  | ) | const

Get the maximum bytes in data.

## ◆ get_memory() [1/2]

Glib::RefPtr<Gst::Memory> Gst::MapInfo::get_memory | ( |  | ) |

Get a Glib::RefPtr to the mapped memory.

## ◆ get_memory() [2/2]

Glib::RefPtr<const Gst::Memory> Gst::MapInfo::get_memory | ( |  | ) | const

## ◆ get_size()

gsize Gst::MapInfo::get_size | ( |  | ) | const

Get the valid size in data.

## ◆ gobj() [1/2]

GstMapInfo* Gst::MapInfo::gobj | ( |  | ) |
| inline

## ◆ gobj() [2/2]

const GstMapInfo* Gst::MapInfo::gobj | ( |  | ) | const
| inline

## ◆ operator=()

MapInfo& Gst::MapInfo::operator= | ( | MapInfo&& | other | ) |